export declare class AbTestForRealUser {
    private _versions;
    private _chosenVersion;
    constructor(versions: string[], chosenVersion: string);
    getVersion(): string;
    setVersion(version: string): void;
    shouldRender(versions: string[], forCrawlers: boolean): boolean;
}
export declare class AbTestForCrawler {
    private _version;
    constructor(version?: string);
    getVersion(): string;
    setVersion(version: string): void;
    shouldRender(versions: string[], forCrawlers: boolean): boolean;
}
export declare class RandomExtractor {
    private _weights;
    private _versions;
    setWeights(weights: [number, string][]): void;
    setVersions(versions: string[]): void;
    run(): string;
}
export declare abstract class AbstractUserAgentCrawlerDetector {
    private _regexps;
    isCrawler(): boolean;
    protected abstract getUserAgentString(): string;
}
export declare class CrawlerDetector extends AbstractUserAgentCrawlerDetector {
    protected getUserAgentString(): string;
}
export declare class CookieHandler {
    get(name: string): string;
    set(name: string, value: string, domain?: string, expires?: number): void;
}
